package com.vendor.platform.ui.internal;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.vendor.platform.ui.Messages;
import com.vendor.platform.ui.internal.PerspectiveUtil;
import org.eclipse.core.runtime.IProgressMonitor;

final class OpenDefaultPespective implements Runnable {
  private final IProgressMonitor monitor;
  
  private String id;
  
  public boolean opened;
  
  private OpenDefaultPespective(IProgressMonitor monitor, String id) {
    this.opened = false;
    this.monitor = monitor;
    this.id = id;
  }
  
  public void run() {
    this.monitor.beginTask(Messages.AbstractUIActivator_0, -1);
    if (this.id == null) {
      String[] defaultPerspective = new String[1];
      try {
        defaultPerspective[0] = PerspectiveUtil.getDefaultPerspective();
        if (defaultPerspective[0] != null) {
          PerspectiveUtil.closePerpective("com.vendor.platform.ui.Perspective");
          PerspectiveUtil.removePerspectiveShortcut("com.vendor.platform.ui.Perspective");
          PerspectiveUtil.openPerspective(defaultPerspective[0]);
          this.opened = true;
        } 
      } catch (Exception e) {
        e.printStackTrace();
      } 
    } else {
      try {
        PerspectiveUtil.openPerspective(this.id);
        this.opened = true;
      } catch (Exception exception) {}
    } 
    this.monitor.done();
  }
}
